Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 211551 - Review Request: fluxter - a pager for use in fluxbox
Summary: Review Request: fluxter - a pager for use in fluxbox
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-19 21:53 UTC by Michael Rice
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 23:35:37 UTC


Attachments (Terms of Use)

Description Michael Rice 2006-10-19 21:53:57 UTC
Spec URL: http://errr.fluxbox-wiki.org/fedora_stuff/fluxter/1/fluxter.spec
SRPM URL: http://errr.fluxbox-wiki.org/fedora_stuff/fluxter/1/fluxter-0.1.0-1.src.rpm
Description: 
Pager for use in fluxbox

Ok I know this has a couple problems but I was hoping you folks could help me solve them. 

1) No debug package is being created 

Other than this I havent tested in mock yet because I wanted to get that issue solved first. Thanks.

Comment 1 Patrice Dumas 2006-10-19 22:39:33 UTC
* You don't need to set CFLAGS, they are set by %configure.

* if you add --enable-debug to %configure, the -s isn't added
and the debuginfo package is created.

* Why do you change fluxbox to fluxter in Makefiles? The fluxter
files seems to live happily in %{_datadir}/fluxbox. Even if fluxter
is usefull without fluxbox.

* Missing Buildrequires, I spotted libX11-devel and libSM-devel.

* is the Requires fluxbox really needed? Doesn't it work with other 
wm?

* No need to have the package name in the summary. 

Comment 2 Patrice Dumas 2006-10-19 23:12:53 UTC
It doesn't work for me:

$ fluxter 
Local fluxbox config file: "/home/dumas/.fluxbox/fluxter.bb"
Default fluxbox config file: "/usr/share/fluxter/fluxter.bb"
Cannot connect to window manager


Comment 3 Michael Rice 2006-10-19 23:42:08 UTC
Were you using fluxbox when you tried to use it.. I tried from pekwm, and also
gnome but it only worked from fluxbox which is why I added the requires fluxbox

Comment 4 Michael Rice 2006-10-19 23:45:48 UTC
(In reply to comment #1)
> * You don't need to set CFLAGS, they are set by %configure.
> 
OK
> * if you add --enable-debug to %configure, the -s isn't added
> and the debuginfo package is created.

OK Ill do this

> * Why do you change fluxbox to fluxter in Makefiles? The fluxter
> files seems to live happily in %{_datadir}/fluxbox. Even if fluxter
> is usefull without fluxbox.

Well I dont have a solid answer for that, I just figured someone would look
there for the configs before they looked in the fluxbox dir for them
 
> * Missing Buildrequires, I spotted libX11-devel and libSM-devel.
isnt libX11-devel brought in by the xorg-x11-proto-devel BR?


> * is the Requires fluxbox really needed? Doesn't it work with other 
> wm?
See comment #3
 
> * No need to have the package name in the summary. 

OK


Comment 5 Michael Rice 2006-10-20 03:57:09 UTC
http://errr.fluxbox-wiki.org/fedora_stuff/fluxter/2/fluxter.spec
http://errr.fluxbox-wiki.org/fedora_stuff/fluxter/2/fluxter-0.1.0-2.src.rpm

I left the fluxbox require, and the sed on the make file for now, maybe we can
discuss it some more. 

Comment 6 Patrice Dumas 2006-10-20 08:50:12 UTC
(In reply to comment #3)
> Were you using fluxbox when you tried to use it.. I tried from pekwm, and also
> gnome but it only worked from fluxbox which is why I added the requires fluxbox

I was in fluxbox. But I assume that it will work in any dockapp ready
desktop, like blackbox, WindowMaker, both are in fedora extras.

Comment 7 Patrice Dumas 2006-11-24 09:57:40 UTC
(In reply to comment #4)

> > * Why do you change fluxbox to fluxter in Makefiles? The fluxter
> > files seems to live happily in %{_datadir}/fluxbox. Even if fluxter
> > is usefull without fluxbox.
> 
> Well I dont have a solid answer for that, I just figured someone would look
> there for the configs before they looked in the fluxbox dir for them

I think that user wanting to configure fluxter are likely to 
know rpm -ql. In my opinion changing fluxbox to fluxter is the right
thing to do, but should much better be done upstream.

I found that a doc file is installed in /usr/share/fluxter/README.fluxter,
it should much better be in %doc, with a name like README.config.

And I still think that there should not be a requires fluxbox since
it certainly works in any window manager accepting dockapps.



Comment 8 Jason Tibbitts 2007-06-06 00:29:58 UTC
It's been over seven months since the last comment; is there still any interest
in getting this package in?

Comment 9 Patrice Dumas 2007-06-06 18:16:12 UTC
I'm interested in having this in fedora, but I don't want to
maintain it. Not to mention that it doesn't work for me:

$ ./fluxter 
Local fluxbox config file: "/home/dumas/.fluxbox/fluxter.bb"
Default fluxbox config file: "/usr/local/share/fluxbox/fluxter.bb"
Could not open default config file: /usr/local/share/fluxbox/fluxter.bb
Using internal defaults.
fluxter:  [ X Error event received. ]
  X Error of failed request:  8 BadMatch (invalid parameter attributes)
  Major/minor opcode of failed request:  1 / 0
  Resource id in failed request:  0x55
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  18 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  2 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  61 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  8 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  9 / 0
  Resource id in failed request:  0x2600010
Cannot connect to window manager
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  10 / 0
  Resource id in failed request:  0x2600010
fluxter:  [ X Error event received. ]
  X Error of failed request:  3 BadWindow (invalid Window parameter)
  Major/minor opcode of failed request:  4 / 0
  Resource id in failed request:  0x2600010


Comment 10 Jason Tibbitts 2007-06-08 23:35:37 UTC
Well, given that the actual submitter has yet to comment, I'm going to close
this ticket.  If someone else does want to submit this, just do so in a separate
ticket and close this one as a duplicate of that one.


Note You need to log in before you can comment on or make changes to this bug.